Index: c/src/lib/libbsp/m68k/av5282/ChangeLog
===================================================================
--- c/src/lib/libbsp/m68k/av5282/ChangeLog	(revision 9e7555e04a02edf9b42eb679fd5372d44c83d390)
+++ c/src/lib/libbsp/m68k/av5282/ChangeLog	(revision 33aa6355d570e1367917aa9e8f897db74f8a7caf)
@@ -1,2 +1,8 @@
+2008-03-03	Joel Sherrill <joel.sherrill@OARcorp.com>
+
+	* startup/linkcmds, startup/linkcmdsflash, startup/linkcmdsram: Add
+	wildcard to gcc_except_table section so programs compiled with gcc
+	4.3.x can link.
+
 2007-12-11	Joel Sherrill <joel.sherrill@OARcorp.com>
 
Index: c/src/lib/libbsp/m68k/av5282/startup/linkcmds
===================================================================
--- c/src/lib/libbsp/m68k/av5282/startup/linkcmds	(revision 9e7555e04a02edf9b42eb679fd5372d44c83d390)
+++ c/src/lib/libbsp/m68k/av5282/startup/linkcmds	(revision 33aa6355d570e1367917aa9e8f897db74f8a7caf)
@@ -142,5 +142,5 @@
             *(.data*)
             *(.gnu.linkonce.d*)
-            *(.gcc_except_table)
+            *(.gcc_except_table*)
             *(.jcr)
             . = ALIGN (16);
Index: c/src/lib/libbsp/m68k/av5282/startup/linkcmdsflash
===================================================================
--- c/src/lib/libbsp/m68k/av5282/startup/linkcmdsflash	(revision 9e7555e04a02edf9b42eb679fd5372d44c83d390)
+++ c/src/lib/libbsp/m68k/av5282/startup/linkcmdsflash	(revision 33aa6355d570e1367917aa9e8f897db74f8a7caf)
@@ -142,5 +142,5 @@
             *(.data)
             *(.gnu.linkonce.d*)
-            *(.gcc_except_table)
+            *(.gcc_except_table*)
             *(.jcr)
             . = ALIGN (16);
Index: c/src/lib/libbsp/m68k/av5282/startup/linkcmdsram
===================================================================
--- c/src/lib/libbsp/m68k/av5282/startup/linkcmdsram	(revision 9e7555e04a02edf9b42eb679fd5372d44c83d390)
+++ c/src/lib/libbsp/m68k/av5282/startup/linkcmdsram	(revision 33aa6355d570e1367917aa9e8f897db74f8a7caf)
@@ -141,5 +141,5 @@
             *(.data)
             *(.gnu.linkonce.d*)
-            *(.gcc_except_table)
+            *(.gcc_except_table*)
             *(.jcr)
             . = ALIGN (16);
Index: c/src/lib/libbsp/m68k/mcf5235/ChangeLog
===================================================================
--- c/src/lib/libbsp/m68k/mcf5235/ChangeLog	(revision 9e7555e04a02edf9b42eb679fd5372d44c83d390)
+++ c/src/lib/libbsp/m68k/mcf5235/ChangeLog	(revision 33aa6355d570e1367917aa9e8f897db74f8a7caf)
@@ -1,2 +1,8 @@
+2008-03-03	Joel Sherrill <joel.sherrill@OARcorp.com>
+
+	* startup/linkcmds, startup/linkcmdsflash, startup/linkcmdsram: Add
+	wildcard to gcc_except_table section so programs compiled with gcc
+	4.3.x can link.
+
 2007-12-14	Chris Johns <chrisj@rtems.org>
 
Index: c/src/lib/libbsp/m68k/mcf5235/startup/linkcmds
===================================================================
--- c/src/lib/libbsp/m68k/mcf5235/startup/linkcmds	(revision 9e7555e04a02edf9b42eb679fd5372d44c83d390)
+++ c/src/lib/libbsp/m68k/mcf5235/startup/linkcmds	(revision 33aa6355d570e1367917aa9e8f897db74f8a7caf)
@@ -149,5 +149,5 @@
             *(.data*)
             *(.gnu.linkonce.d*)
-            *(.gcc_except_table)
+            *(.gcc_except_table*)
             *(.jcr)
             . = ALIGN (16);
Index: c/src/lib/libbsp/m68k/mcf5235/startup/linkcmdsflash
===================================================================
--- c/src/lib/libbsp/m68k/mcf5235/startup/linkcmdsflash	(revision 9e7555e04a02edf9b42eb679fd5372d44c83d390)
+++ c/src/lib/libbsp/m68k/mcf5235/startup/linkcmdsflash	(revision 33aa6355d570e1367917aa9e8f897db74f8a7caf)
@@ -154,5 +154,5 @@
             *(.data)
             *(.gnu.linkonce.d*)
-            *(.gcc_except_table)
+            *(.gcc_except_table*)
             *(.jcr)
             . = ALIGN (16);
Index: c/src/lib/libbsp/m68k/mcf5235/startup/linkcmdsram
===================================================================
--- c/src/lib/libbsp/m68k/mcf5235/startup/linkcmdsram	(revision 9e7555e04a02edf9b42eb679fd5372d44c83d390)
+++ c/src/lib/libbsp/m68k/mcf5235/startup/linkcmdsram	(revision 33aa6355d570e1367917aa9e8f897db74f8a7caf)
@@ -149,5 +149,5 @@
             *(.data)
             *(.gnu.linkonce.d*)
-            *(.gcc_except_table)
+            *(.gcc_except_table*)
             *(.jcr)
             . = ALIGN (16);
